Announcements

Help us improve the Power & Sensing Selection Guide. Share feedback

Tip / Sign in to post questions, reply, level up, and achieve exciting badges. Know more

cross mob
yilmazokten
Level 1
Level 1
First reply posted First question asked Welcome!

I would like to program BLDC_SHIELD_TLE9879 evaluation board with the  XMC1100 boot kit. I have tried to find out the libraries to flash it through the SPI pin. There is a library just for the arduino. Then I tried to progtam TLE9879 directly with the j-link lite debugger on Dave and Keil. There was an already prepared program which name is BldcBcHall.uvprojx. It is giving lots of error when I tried to build it.  Is that possible to flash it with XMC100? If not, what is the solution for of the following error on the already existing program?

yilmazokten_1-1661516628298.png

 

0 Likes
1 Solution
Raj_C
Moderator
Moderator
Moderator
250 solutions authored 500 replies posted 50 likes received

Hi @yilmazokten,

1) The reason for the errors is the selection of the compiler version in the 'options for target > target' tab.

Could you please change the compiler version to the 'default compiler version 5' as shown in the figure below.

Raj_JC_0-1661754466678.png

Note: Before changing the compiler version please delete the current project and unzip the new project file.

2) You can use the detachable J-Link of the XMC 1100 Boot kit to program the BLDC shield with the BldcBcHall.uvprojx project files.

3) Please, refer to the BLDC Shield for Arduino with TLE9879QXA40 Getting Started guide for further information.

Please, let us know if you need further support.

Thank you

Best Regards

Raj Chaudhari

View solution in original post

0 Likes
11 Replies
ncbs
Moderator
Moderator
Moderator
500 replies posted 50 likes received 250 sign-ins

Hi @yilmazokten,

I would recommend you to watch our Get your motor spinning by using the TLE9879 Evalkit for BLDC Motor Control training video. This video explains how to create a project from scratch and program the BLDC_SHIELD_TLE9879 EvalKit with the same.

Regards,
Nikhil

0 Likes
Raj_C
Moderator
Moderator
Moderator
250 solutions authored 500 replies posted 50 likes received

Hi @yilmazokten,

1) The reason for the errors is the selection of the compiler version in the 'options for target > target' tab.

Could you please change the compiler version to the 'default compiler version 5' as shown in the figure below.

Raj_JC_0-1661754466678.png

Note: Before changing the compiler version please delete the current project and unzip the new project file.

2) You can use the detachable J-Link of the XMC 1100 Boot kit to program the BLDC shield with the BldcBcHall.uvprojx project files.

3) Please, refer to the BLDC Shield for Arduino with TLE9879QXA40 Getting Started guide for further information.

Please, let us know if you need further support.

Thank you

Best Regards

Raj Chaudhari

0 Likes
ansede
Level 2
Level 2
First like given 10 replies posted First like received

Hi,

I found the same issue when I tried to build BldcBcHall project downloaded through BLDC_SHIELD_TLE9879 webpage. 

I do not find available for downloading the arm compiler v5.X in the arm developer web:

Legacy Arm Compilers – Arm Developer

Thanks for your support!

0 Likes
Raj_C
Moderator
Moderator
Moderator
250 solutions authored 500 replies posted 50 likes received

Hi @ansede,

Please, contact the arm Developer team for support related to the legacy version of the MDK 5. 

Thank you

Best Regards

Raj Chaudhari

0 Likes
ansede
Level 2
Level 2
First like given 10 replies posted First like received

Thanks Raj,

They restored the link for downloading the compiler. I have already installed it.

Does the project require ARM license for building? I got this error.

ansede_0-1662457276215.png

 

 

0 Likes
Raj_C
Moderator
Moderator
Moderator
250 solutions authored 500 replies posted 50 likes received

Hi @ansede,

Yes, it is necessary to have the KEIL license for building the project. You can use the evaluation license for evaluating the project.

Thank you

Best Regards

Raj Chaudhari  

0 Likes
ansede
Level 2
Level 2
First like given 10 replies posted First like received

Hi @Raj_C,

I added the KEIL license but I got the same error.

Do you have any idea about the reason of the building error?

Thanks and regards

0 Likes
ansede
Level 2
Level 2
First like given 10 replies posted First like received

Hi @Raj_JC,

It was solved removing v6 compiler and reinstalling KEIL software.

Thanks for all!

How did you  remove the V6 compiler? Since I am getting the same error after installing the v5.

yilmazokten_0-1662561560677.png

 

0 Likes
ansede
Level 2
Level 2
First like given 10 replies posted First like received

Hi @yilmazokten ,

Firstly I reinstalled Keil and removed V6 compiler. I removed the folders contained in: C:\Keil_v5\ARM\ARMCLANG

And I copied the v5.06 folders in this path (I think this step is irrelevant if you have the compiler installed in other path):

ansede_1-1662572762506.png

 

 

0 Likes

Hi ansede, 

Thank you. It has worked. 

Best regards. 

0 Likes